Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class UnionInfo

    java.lang.Object
      jet.api.UnionInfo

    public class UnionInfo

extends java.lang.Object

class UnionInfo defines info of a union statement

Constructor Summary
`UnionInfo()` constructor an empty object
`UnionInfo(java.lang.String queryName, boolean unionAll)` constructor an object with specific content

Method Summary
`boolean` | `equals(java.lang.Object obj)` compare the object
`java.lang.String` | `getQueryName()` get the union query name
`boolean` | `getUnionStatus()` get the unionAll status
`void` | `setQueryName(java.lang.String queryName)` set query name value
`void` | `setUnionStatus(boolean unionAll)` set unionAll value

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnionInfo

    public UnionInfo()

  constructor an empty object

### UnionInfo

    public UnionInfo(java.lang.String queryName,
                     boolean unionAll)

  constructor an object with specific content

  Parameters:
    `queryName` - be unioned query name
    `unionAll` - if this union is union all or not

Method Detail

### getQueryName

    public java.lang.String getQueryName()

  get the union query name

  Returns:
    query name value

### getUnionStatus

    public boolean getUnionStatus()

  get the unionAll status

  Returns:
    unionAll status value

### setQueryName

    public void setQueryName(java.lang.String queryName)

  set query name value

  Parameters:
    `queryName` - the query name value

### setUnionStatus

    public void setUnionStatus(boolean unionAll)

  set unionAll value

  Parameters:
    `unionAll` - unionAll status value

### equals

    public boolean equals(java.lang.Object obj)

  compare the object

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    if the given object is equal to this one, return true, otherwise, return false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD